Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032281
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Warehouse Pickingmajoralways2016-02-18 18:192016-06-17 19:37
ReporterVictorVillarView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionfc9de8940c8e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toaferraz
Regression introduced in release
Summary

0032281: wrong movement quantity of the picking list without enough stock available

Descriptionwrong movement quantity of the picking list without enough stock available
Steps To ReproduceAs group admin role,
   Create a new product
      Add a sales price list
   Go to Physical Inventory window,
      add 2 units of this product
   Process it.
Go to Sales order and create a new line of this new product. Qty= 10
 Process it.
Add the manual reservation, qty = 2

Generate Picking List.
Go to Warehouse Picking List and realize that the movement qty is 4. It should not be possible because you have only 2 units available.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032469 closedcollazoandy4 Not possible to create a partial "Outbound" Picking List if there is not a line that can be completely shipped 

-  Notes
(0084525)
rqueralta (developer)
2016-02-25 18:48
edited on: 2016-03-11 14:48

Test Plan

As F&B Internationa Group Admin
  
  Go to Product window
    Create a new product
    Add a sales price list
  
  Go to Physical Inventory window
    Add 2 units of this product
    Process it.

  Go to Sales Order window
    Create a new Sales Order
    Add line of this new product. Qty = 10
    Book it.
  
  Go to Sales order || Reserved Stock tab
    Add the Manage Reservation. Qty = 2

  Go to Sales Order window main tab
    Generate Picking List
    
  Go to Warehouse Picking List
    Realize that the movement qty is 2

(0084914)
psanjuan (manager)
2016-03-11 14:10

Issue verified.
(0084916)
psanjuan (manager)
2016-03-11 14:52
edited on: 2016-03-14 14:24

Scenario 1

As F&B International Group Admin
  
  Go to Product window
    Create a new product (ie. Product 32281 Test 1)
    Add a sales price list (Tarifa Ventas)
    Add a purchase price list (Tarifa Bebidas Alegres)
  
  Go to Good Receipts window
    Receipt 2 units of this product, from vendor Bebidas Alegres
    WH = España Region Norte, RN-1-0-0
    Complete it.

  Go to Sales Order window
    Create a new Sales Order for BP = Alimentos y Supermercados
    Add line of this new product. Qty = 10
    Book it.
  
  Go to Lines, select the product line and click on Manage Reservation.
  Click Done
 
  Go to Reserved Stock tab and check there is a stock reservation for Qty =2

  Go to Sales Order window main tab
    Generate Picking List
    Choose "Direct Picking List to Customer"
    Not group criteria. Press OK.

  Check that a message is shown which is OK.
  "PL302 there is not enough stock in WH to create the whole picking list".
    
  Go to Warehouse Picking List
     Check that a new one has been created in Draft status for a movement qty=2
     Process it
     Check that a goods shipment for 2 units has been created.

Scenario 2

As F&B International Group Admin
  
  Go to Product window
    Create a new product (ie. Product 32281 Test 2)
    Add a sales price list (Tarifa Ventas)
    Add a purchase price list (Tarifa Bebidas Alegres)
  
  Go to Good Receipts window
    Receipt 2 units of this product, from vendor Bebidas Alegres
    WH = España Region Norte, RN-1-0-0
    Complete it.

  Go to Sales Order window
    Create a new Sales Order for BP = Alimentos y Supermercados
    Add line of this new product. Qty = 10
    Book it.
  
  Go to Sales Order window main tab
    Generate Picking List
    Choose "Direct Picking List to Customer"
    Not group criteria. Press OK.

  Check that an allocated reserved stock has been automatically created.

  Check that a message is shown which is OK.
  "PL303 there is not enough stock in WH to create the whole picking list".
    
  Go to Warehouse Picking List
     Check that a new one has been created in Draft status for a movement qty=2
     Process it
     Check that a goods shipment for 2 units has been created.

Scenario 3

As F&B International Group Admin
  
  Go to Product window
    Create a new product (ie. Product 32281 Test 3)
    Add a sales price list (Tarifa Ventas)
    Add a purchase price list (Tarifa Bebidas Alegres)
  
  Go to Good Receipts window
    Receipt 2 units of this product, from vendor Bebidas Alegres
    WH = España Region Norte, RN-1-0-0
    Complete it.

  Go to Sales Order window
    Create a new Sales Order for BP = Alimentos y Supermercados
    Add line of this new product. Qty = 10
    Book it.
  
  Go to Lines, select the product line and click on Manage Reservation.
  Click Done
 
  Go to Reserved Stock tab and check there is a stock reservation for Qty =2

  Go to Sales Order window main tab
    Generate Picking List
    Choose "Outbound Picking List"
    España Region Norte: RN-DEV (Outbound bin)
    Press OK

  Check that a message is shown: There is not enough available stock.
  This is another issue. See issue related:32469

(0084950)
psanjuan (manager)
2016-03-14 14:08

Test Plan verified.

Issue can be code reviewed and closed.
(0085428)
hgbot (developer)
2016-04-05 10:03

Repository: erp/devel/pi
Changeset: fc9de8940c8e0ac2cd5a7124f9532de8acc9c3fb
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Thu Feb 25 09:46:02 2016 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/fc9de8940c8e0ac2cd5a7124f9532de8acc9c3fb [^]

Fixed issue 32281: Wrong movement quantity of the picking list without enough stock available

Now, movement quantity of the picking list if stock available is not enough is equal to stock avilable - manual reservation qty

---
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
---
(0085429)
hgbot (developer)
2016-04-05 10:03

Repository: erp/devel/pi
Changeset: a8bef035c93ced4b7065777533b7f1104e75a869
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 04 18:22:09 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a8bef035c93ced4b7065777533b7f1104e75a869 [^]

Related to issue 32281: Add coalesce to avoid null value in v_reservationqty

---
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
---
(0085432)
aferraz (developer)
2016-04-05 10:41

Code review OK
(0085852)
hgbot (developer)
2016-04-21 19:28

Repository: erp/devel/pi
Changeset: f0f766d86fef89977e044d27c44394e82f36185c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Apr 21 19:24:51 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f0f766d86fef89977e044d27c44394e82f36185c [^]

Related to issue 32281: Backout changeset a8bef035c93c and fc9de8940c8e

---
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
---
(0085874)
hgbot (developer)
2016-04-22 09:39

Repository: erp/devel/pi
Changeset: 1ab098a071150b2a52f21ebfd11de19abde33251
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Apr 22 09:38:01 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1ab098a071150b2a52f21ebfd11de19abde33251 [^]

Related to issue 32281: Wrong picking list quantity when no stock available

Send p_reservation_id as null when calling M_GET_STOCK_PARAM from M_RESERVE_STOCK_AUTO in order to check reserved quantity from any reservation.

---
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
---
(0085875)
aferraz (developer)
2016-04-22 09:40

Code review OK
(0087418)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087419)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087481)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087483)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-18 18:19 VictorVillar New Issue
2016-02-18 18:19 VictorVillar Assigned To => Triage Finance
2016-02-18 18:33 heccam Issue Monitored: heccam
2016-02-25 18:48 rqueralta Note Added: 0084525
2016-02-25 18:50 rqueralta Status new => scheduled
2016-02-25 18:50 rqueralta Assigned To Triage Finance => rqueralta
2016-03-11 14:10 psanjuan Note Added: 0084914
2016-03-11 14:48 psanjuan Note Edited: 0084525 View Revisions
2016-03-11 14:52 psanjuan Note Added: 0084916
2016-03-11 15:02 psanjuan Note Edited: 0084916 View Revisions
2016-03-14 13:44 psanjuan Note Edited: 0084916 View Revisions
2016-03-14 13:51 psanjuan Note Edited: 0084916 View Revisions
2016-03-14 14:07 psanjuan Note Edited: 0084916 View Revisions
2016-03-14 14:08 psanjuan Note Added: 0084950
2016-03-14 14:17 psanjuan Note Edited: 0084916 View Revisions
2016-03-14 14:24 psanjuan Note Edited: 0084916 View Revisions
2016-03-14 14:24 psanjuan Relationship added related to 0032469
2016-04-05 10:03 hgbot Checkin
2016-04-05 10:03 hgbot Note Added: 0085428
2016-04-05 10:03 hgbot Status scheduled => resolved
2016-04-05 10:03 hgbot Resolution open => fixed
2016-04-05 10:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fc9de8940c8e0ac2cd5a7124f9532de8acc9c3fb [^]
2016-04-05 10:03 hgbot Checkin
2016-04-05 10:03 hgbot Note Added: 0085429
2016-04-05 10:41 aferraz Review Assigned To => aferraz
2016-04-05 10:41 aferraz Note Added: 0085432
2016-04-05 10:41 aferraz Status resolved => closed
2016-04-21 17:38 ngarcia Issue Monitored: ngarcia
2016-04-21 19:28 hgbot Checkin
2016-04-21 19:28 hgbot Note Added: 0085852
2016-04-21 19:35 aferraz Status closed => new
2016-04-21 19:35 aferraz Resolution fixed => open
2016-04-21 19:35 aferraz Status new => scheduled
2016-04-22 09:39 hgbot Checkin
2016-04-22 09:39 hgbot Note Added: 0085874
2016-04-22 09:40 aferraz Status scheduled => resolved
2016-04-22 09:40 aferraz Resolution open => fixed
2016-04-22 09:40 aferraz Note Added: 0085875
2016-04-22 09:40 aferraz Status resolved => closed
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087418
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087419
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087481
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087483


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker